Search found 400 matches

by ebrahim raeyat
Thu Jan 21, 2021 9:49 am
Forum: Developers corner
Topic: object property for mm^4?
Replies: 0
Views: 94

object property for mm^4?

Hello All. I wanted to set the moment of inertia into the object, but what kind of property can I use for mm^4 unit. I studied the code of property*.h, but it has only "App::PropertyVolume" that using for mm^3. Thanks.
by ebrahim raeyat
Mon Jan 18, 2021 9:05 am
Forum: Draft, Arch & BIM
Topic: How to create a Structural container linked to a Wire or Line?
Replies: 2
Views: 186

Re: How to create a Structural container linked to a Wire or Line?

You can create a structure from a 2D object, not a 1D object like a line. After you create the structure, it has Show Nodes Property in View tab, that you can show the structural view of this object:

related topic
by ebrahim raeyat
Mon Jan 18, 2021 8:47 am
Forum: Python scripting and macros
Topic: How to create Sketcher Constraints with Python
Replies: 26
Views: 889

Re: How to create Sketcher Constraints with Python

Maybe this is useful, this code produce grid lines:

https://github.com/ebrahimraeyat/Civil/ ... ch/axis.py
punch.png
punch.png (17.82 KiB) Viewed 148 times
by ebrahim raeyat
Mon Jan 11, 2021 4:16 pm
Forum: Draft, Arch & BIM
Topic: Better algorithm for creating pitched roof (probably)?
Replies: 29
Views: 2211

Re: Better algorithm for creating pitched roof (probably)?

I added angles property to the roof object. Now edges with 90-degree angle takes as gable and negative angle denote for negative slope:
negative_roof.png
negative_roof.png (10.41 KiB) Viewed 188 times
by ebrahim raeyat
Thu Jan 07, 2021 9:21 am
Forum: Draft, Arch & BIM
Topic: Better algorithm for creating pitched roof (probably)?
Replies: 29
Views: 2211

Re: Better algorithm for creating pitched roof (probably)?

Until that time, I set it in "App::PropertyIntegerList" property with 0 and 1, 1 denote that the edge is Gable:
gable3.png
gable3.png (14.47 KiB) Viewed 222 times
by ebrahim raeyat
Thu Jan 07, 2021 8:19 am
Forum: Draft, Arch & BIM
Topic: Better algorithm for creating pitched roof (probably)?
Replies: 29
Views: 2211

Re: Better algorithm for creating pitched roof (probably)?

I implemented gable in roof. My goal is to user click on any edge of the sketch and then convert it to gable line, then I change the skeleton of the roof: Before convert to Gable: gable1.png After convert to gable: gable2.jpeg My question: How can I save the edges that user select? I searched and fo...
by ebrahim raeyat
Tue Jan 05, 2021 10:54 pm
Forum: Help on using FreeCAD
Topic: Arch roof error
Replies: 5
Views: 187

Re: Arch roof error

TheBrick wrote:
Mon Jan 04, 2021 5:23 pm
That looks brilliant thanks
:D :D
by ebrahim raeyat
Mon Dec 28, 2020 7:09 am
Forum: Python scripting and macros
Topic: Display Properties Implementation
Replies: 5
Views: 283

Re: Display Properties Implementation

Ah, I think if you assign a Shape to your fpo, it will be modifiable with task GUI. It acts on objects that have been selected in current view.
by ebrahim raeyat
Mon Dec 28, 2020 3:04 am
Forum: Python scripting and macros
Topic: Display Properties Implementation
Replies: 5
Views: 283

Re: Display Properties Implementation

How can I implament display properties to my feature python object? Hi HakanSeven. It is so easy. you can create the Gui with QtDesigner and then create a Class (for example Ui class) that handle working with this gui. Then create an instance of that class and show it manually: ui = Ui() FreeCADGui...
by ebrahim raeyat
Sat Dec 26, 2020 1:47 pm
Forum: Draft, Arch & BIM
Topic: Better algorithm for creating pitched roof (probably)?
Replies: 29
Views: 2211

Re: Better algorithm for creating pitched roof (probably)?

This library works for curved edges:

bpypolyskel
logo.jpg
logo.jpg (247.24 KiB) Viewed 395 times